Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1084777 - Review Request: php-theseer-autoload - A tool and library to generate autoload code
Review Request: php-theseer-autoload - A tool and library to generate autoloa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: 1084772
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-06 09:57 EDT by Remi Collet
Modified: 2014-06-12 08:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-theseer-autoload-1.14.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 15:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review.txt (7.19 KB, text/plain)
2014-04-20 12:17 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-04-06 09:57:17 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/5dfeb4348c182fc8acd76cafc32bf8e6b0efcbe7/php/theseer/php-theseer-autoload/php-theseer-autoload.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-theseer-autoload-1.14.1-1.remi.src.rpm
Description: 
The PHP AutoloadBuilder CLI tool phpab is a command line application
to automate the process of generating an autoload require file with
the option of creating static require lists as well as phar archives.

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2014-04-20 12:17:50 EDT
Created attachment 887977 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1084777 --plugins PHP:off
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Shawn Iwinski 2014-04-20 12:23:32 EDT
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/pear/TheSeer(php-
     theseer-fDOMDocument, php-theseer-directoryscanner)
     
     Required pkg php-pear(%{pear_channel}/DirectoryScanner) already owns
     "%dir %{pear_phpdir}/TheSeer"

This is a simple fix that can be done after initial import so I will not block acceptance because of this :)



[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, just remove these after initial import.



I had to disable the PHP fedora-review plugin because my phpcompatinfo (version 2.26.0) would get stuck in an infinite loop when calculating its' information.  The requires look correct based on the actual script files and package.xml though.



No blockers.



===== APPROVED =====
Comment 3 Remi Collet 2014-04-22 02:41:31 EDT
Thanks !

New Package SCM Request
=======================
Package Name: php-theseer-autoload
Short Description: A tool and library to generate autoload code 
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 4 Gwyn Ciesla 2014-04-22 09:02:36 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2014-04-22 12:38:52 EDT
php-theseer-autoload-1.14.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-theseer-autoload-1.14.1-1.fc20
Comment 6 Fedora Update System 2014-04-22 12:39:00 EDT
php-theseer-autoload-1.14.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-theseer-autoload-1.14.1-1.el6
Comment 7 Fedora Update System 2014-04-22 15:54:36 EDT
php-theseer-autoload-1.14.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 8 Fedora Update System 2014-05-03 15:55:49 EDT
php-theseer-autoload-1.14.2-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 9 Fedora Update System 2014-05-11 22:09:13 EDT
php-theseer-autoload-1.14.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 10 Remi Collet 2014-06-12 01:46:26 EDT
Package Change Request
======================
Package Name: php-theseer-autoload
New Branches: f19
Owners: remi
InitialCC:
Comment 11 Gwyn Ciesla 2014-06-12 08:05:14 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.